tigase.jaxmpp.core.client.xmpp.modules.disco

## Class DiscoveryModule.Item

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.Item

- Direct Known Subclasses:
    FlexibleOfflineMessageRetrieval.Item
  Enclosing class:
    DiscoveryModule

      public static class DiscoveryModule.Item
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Item()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JID` | `getJid()`
    `String` | `getName()`
    `String` | `getNode()`
    `void` | `setJid(JID jid)`
    `void` | `setName(String name)`
    `void` | `setNode(String node)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Item

          public Item()

  - ### Method Detail

    - #### getJid

          public JID getJid()

    - #### setJid

          public void setJid(JID jid)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getNode

          public String getNode()

    - #### setNode

          public void setNode(String node)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.